Documentation

Meditations

List published meditations

ProductionStagingUAT
GEThttps://ankiren.com/api/meditations

Responses

200 · List of published meditations with category info

  • idinteger
  • categoryIdinteger
  • titlestring
  • descriptionstring?
  • imageUrlstring?
  • voices[MeditationVoice]

    Voice variants as JSON array (v1.1.14)

    • gender"male" | "female"

      Voice gender

    • language"vi" | "en"

      Voice language (vi=Vietnamese, en=English)

    • audioUrlstring

      Audio file URL for this voice

    • durationinteger

      Audio duration in seconds

  • sortOrderinteger
  • categoryCategory
    • idinteger
    • namestring
    • descriptionstring?
    • iconstring

      Lucide icon name

    • colorinteger
      min: 0max: 9
    • sortOrderinteger
application/json
[
  {
    "id": 0,
    "categoryId": 0,
    "title": "string",
    "description": "string",
    "imageUrl": "string",
    "voices": [
      {
        "gender": "male",
        "language": "vi",
        "audioUrl": "string",
        "duration": 0
      }
    ],
    "sortOrder": 0,
    "category": {
      "id": 0,
      "name": "string",
      "description": "string",
      "icon": "string",
      "color": 0,
      "sortOrder": 0
    }
  }
]

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X GET 'https://ankiren.com/api/meditations' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json'